# Get actual balance

## Total Available Balance Endpoint

> Retrieve the details of your Total Available Balance.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Total Available Balance Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.onekeypayments.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.onekeypayments.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"Balance":{"type":"object","properties":{"currency":{"type":"string"},"data":{"$ref":"#/components/schemas/BalanceData"},"type":{"type":"string"}}},"BalanceData":{"type":"object","properties":{"totalBalance":{"type":"number","format":"float"},"availableBalance":{"type":"number","format":"float"},"depositSettlementPeriod":{"type":"number","format":"float"},"accountNumber":{"type":"string"},"rollingReserveBalance":{"type":"integer"},"usableBalance":{"type":"number","format":"float"}}}}},"paths":{"/balance":{"get":{"summary":"Total Available Balance Endpoint","description":"Retrieve the details of your Total Available Balance.","operationId":"getTotalBalance","tags":["Balance & Reports"],"responses":{"200":{"description":"Total available balance.","content":{"application/json":{"schema":{"type":"object","properties":{"balances":{"type":"array","items":{"$ref":"#/components/schemas/Balance"}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/reconciliation-api/retrieve-information/get-actual-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
